## org.eclipse.amp.agf.zest.ide
Class TreeVertLayoutAction

    java.lang.Object
      org.eclipse.amp.agf.zest.ide.ZestLayoutAction
          org.eclipse.amp.agf.zest.ide.TreeVertLayoutAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class TreeVertLayoutAction

extends ZestLayoutAction

The Class TreeVertLayoutAction.

Field Summary

Fields inherited from class org.eclipse.amp.agf.zest.ide.ZestLayoutAction
`view`

Constructor Summary
`TreeVertLayoutAction()`

Method Summary
`protected org.eclipse.zest.layouts.LayoutAlgorithm` `createLayout()` Creates the layout.

Methods inherited from class org.eclipse.amp.agf.zest.ide.ZestLayoutAction
`init, run, selectionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeVertLayoutAction

    public TreeVertLayoutAction()

Method Detail

### createLayout

    protected org.eclipse.zest.layouts.LayoutAlgorithm createLayout()

  Description copied from class: `ZestLayoutAction`
  Creates the layout.

  Specified by:
    `createLayout` in class `ZestLayoutAction`
  Returns:
  See Also:
    `ZestLayoutAction.createLayout()`